> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an application

> Retrieve a benefit application by id. <h3>OAuth</h3>Required scopes: <code>benefits.readonly</code> or <code>benefits</code>



## OpenAPI

````yaml /assets/openapi.json get /benefits/applications/v1/{benefitApplicationId}
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /benefits/applications/v1/{benefitApplicationId}:
    get:
      tags:
        - Benefits
      summary: Retrieve an application
      description: >-
        Retrieve a benefit application by id. <h3>OAuth</h3>Required scopes:
        <code>benefits.readonly</code> or <code>benefits</code>
      operationId: getBenefitApplication
      parameters:
        - in: path
          name: benefitApplicationId
          required: true
          description: The id of the benefit application.
          schema:
            type: string
            format: uuid
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getBenefitApplication'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - benefits.readonly
            - benefits
components:
  schemas:
    getBenefitApplication:
      type: object
      properties:
        application:
          type: object
          properties:
            benefit:
              type: object
              properties:
                description:
                  type: string
                  description: Full description of the benefit.
                id:
                  type: string
                  format: uuid
                  description: Unique identifier of the benefit.
                mediaUrl:
                  description: URL of the benefit's cover image.
                  nullable: true
                  type: string
                  format: uri
                subtitle:
                  description: Short tagline of the benefit.
                  type: string
                title:
                  type: string
                  description: Display name of the benefit.
              required:
                - id
                - title
              additionalProperties: false
              description: Summary of the benefit this application is for.
            comment:
              description: Optional comment left by the applicant.
              type: string
            createDate:
              type: string
              format: date-time
              description: ISO timestamp of when the application was submitted.
            id:
              type: string
              format: uuid
              description: Unique identifier of the application.
            locationRef:
              type: string
              format: uuid
              description: ID of the location where the application was submitted.
            membershipRef:
              description: ID of the membership associated with this application.
              type: string
              format: uuid
            number:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
              description: Human-readable application number.
            user:
              type: object
              properties:
                about:
                  description: About text of the user.
                  nullable: true
                  type: string
                blocked:
                  type: boolean
                  description: Whether the user is blocked.
                createDate:
                  type: string
                  format: date-time
                  description: ISO timestamp of when the user account was created.
                deleteDate:
                  description: ISO timestamp of when the user account was deleted.
                  type: string
                  format: date-time
                email:
                  description: Email address of the user.
                  nullable: true
                  type: string
                  format: email
                id:
                  type: string
                  format: uuid
                  description: Unique identifier of the user.
                name:
                  description: First name of the user.
                  nullable: true
                  type: string
                phoneNumber:
                  description: Phone number of the user.
                  nullable: true
                  type: string
                photoUrl:
                  description: URL of the user's profile photo.
                  nullable: true
                  type: string
                  format: uri
                restricted:
                  type: boolean
                  description: Whether the user has restricted access.
                surname:
                  description: Last name of the user.
                  nullable: true
                  type: string
              required:
                - blocked
                - createDate
                - id
                - restricted
              additionalProperties: false
              description: The user who submitted the application.
          required:
            - benefit
            - createDate
            - id
            - locationRef
            - number
            - user
          additionalProperties: false
          description: The benefit application.
      required:
        - application
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read contracts, credit notes, discounts and invoices
            invoices: Read and write contract, credit notes, discounts and invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````